using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using AITSW.VersatileSerializing.SNMP;

namespace SNMP_Manager_Demo
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void btnWalk_Click(object sender, EventArgs e)
        {
            string start_oid = "1.3.6.1.2"; //iso(1).org(3).dod(6).internet(1).mgmt(2)
            SNMP_ErrorStatus err = SNMP_ErrorStatus.noError;
            List<SNMP_Varbind> vbl = null;

            listBoxResults.Items.Clear();
            listBoxResults.Items.Add("PLEASE WAIT...");
            this.Update();

            using (SNMPv2C snmp = new SNMPv2C())
                vbl = snmp.Walk(start_oid, 10, edHostname.Text, int.Parse(edPort.Text), 10000, out err);

            bool is_valid = (vbl != null) && (err == SNMP_ErrorStatus.noError) && (vbl.Count > 0);
            listBoxResults.Items.Clear();
            listBoxResults.Items.Add("Valid result: " + is_valid.ToString());

            if (vbl != null)
                foreach (SNMP_Varbind vb in vbl)
                    listBoxResults.Items.Add(vb.ToString());
        }
    }
}